<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
class Guestbook
{
	function displayEntries()
	{
		$comment = new Comments;
		// Kommentar bearbeiten
		if(isset($_POST['comment_action']) && $_POST['comment_action'] == 'edit' && permission('edit_comments')) $comment->EditComment('guestbook',$_POST['comment_id']);
		
		// Neuer Kommentar
		if(permission('guestbook'))
		{
			$comment->NewComment('guestbook', @$_POST['Redir'],9999999,'1');
		}
		
		// Kommentare holen
		$Comments = $comment->GetComments('guestbook',9999999,'index.php?p=guestbook',1);
		$GLOBALS['tmpl']->assign('pagetitle_html', $GLOBALS['config_vars']['Guestbook_t']);
		$GLOBALS['tmpl']->assign('headernav', $GLOBALS['config_vars']['Guestbook_t']);
		$GLOBALS['tmpl']->assign('GetComments',$GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/guestbook/entries.tpl'));
		$GLOBALS['tmpl']->assign('content', $GLOBALS['tmpl']->fetch($GLOBALS['config']['source'] . '/guestbook/guestbook.tpl'));
	}
}
?>